Changeset 2996 for ThirdParty/SCIP


Ignore:
Timestamp:
Oct 15, 2013 11:48:49 PM (6 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/SCIP/stable/1.2/configure

    r2945 r2996  
    10821082                          (implies --disable-shared)
    10831083  --enable-debug-scip compile project SCIP with debug compiler flags
    1084   --enable-doscompile     Under Cygwin, compile so that executables run under
    1085                           DOS. Set to mingw to use gcc/g++/ld with
    1086                           -mno-cygwin. Set to msvc to use cl/link (or
    1087                           icl/link). Default when mentioned: mingw. Default
    1088                           when not mentioned: disabled.
     1084
     1085  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10891086  --enable-static[=PKGS]
    10901087                          build static libraries [default=no]
     
    19171914
    19181915# Get the name of the C compiler and appropriate compiler options
    1919 case $build in
     1916
     1917
     1918  # for backward compatibility
     1919  # Check whether --enable-doscompile or --disable-doscompile was given.
     1920if test "${enable_doscompile+set}" = set; then
     1921  enableval="$enable_doscompile"
     1922  enable_doscompile=$enableval
     1923else
     1924  enable_doscompile=no
     1925fi;
     1926
     1927  # Check whether --enable-msvc or --disable-msvc was given.
     1928if test "${enable_msvc+set}" = set; then
     1929  enableval="$enable_msvc"
     1930  enable_msvc=$enableval
     1931else
     1932  enable_msvc=no
     1933     if test "$enable_doscompile" = msvc ; then
     1934       enable_msvc=yes
     1935     elif test "$enable_doscompile" != no ; then
     1936       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1937echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1938   { (exit 1); exit 1; }; }
     1939     fi
     1940
     1941fi;
     1942
     1943  if test "$enable_msvc" = yes; then
     1944    case $build in
     1945      *-cygwin* | *-mingw*) ;;
     1946      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1947echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1948   { (exit 1); exit 1; }; } ;;
     1949    esac
     1950  fi
     1951
     1952
     1953 case $build in
    19201954  *-mingw*)
    19211955    if test "${LD+set}" = set; then :; else
     
    19241958    ;;
    19251959 esac
    1926  case $enable_doscompile in
    1927    msvc)
    1928      if test "x${LD+set}" = xset; then :; else
    1929        LD=link
    1930      fi
    1931      ;;
    1932  esac
    1933 
    1934 
    1935  # Check whether --enable-doscompile or --disable-doscompile was given.
    1936 if test "${enable_doscompile+set}" = set; then
    1937   enableval="$enable_doscompile"
    1938   if test "$enable_doscompile" != no; then
    1939      case $build in
    1940        *-cygwin* | *-mingw*) ;;
    1941        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1942 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1943    { (exit 1); exit 1; }; } ;;
    1944      esac
     1960 if test $enable_msvc = yes ; then
     1961   if test "x${LD+set}" = xset; then :; else
     1962     LD=link
    19451963   fi
    1946 else
    1947   enable_doscompile=no
    1948 fi;
    1949  case "$enable_doscompile" in
    1950    mingw)
    1951      case $build in
    1952        *-mingw*) enable_doscompile=no ;;
    1953      esac
    1954      ;;
    1955    msvc|no) ;;
    1956    yes) enable_doscompile=mingw ;;
    1957    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1958                     Try configure --help=recursive." >&5
    1959 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1960                     Try configure --help=recursive." >&2;}
    1961    { (exit 1); exit 1; }; }
    1962       ;;
    1963   esac
    1964   if test "$enable_doscompile" != no ; then
    1965     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1966 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1967   fi
     1964 fi
    19681965
    19691966
     
    20082005case $build in
    20092006  *-cygwin* | *-mingw*)
    2010              if test "$enable_doscompile" = msvc ; then
    2011                comps="icl cl"
     2007             if test "$enable_msvc" = yes ; then
     2008               comps="icl cl gcc"
    20122009             else
    2013                comps="gcc cl"
     2010               comps="gcc icl cl"
    20142011             fi ;;
    20152012  *-*-solaris*)
     
    28642861            ;;
    28652862        esac
    2866         case $enable_doscompile in
    2867           mingw)
    2868             CFLAGS="-mno-cygwin"
    2869             cat >conftest.$ac_ext <<_ACEOF
    2870 /* confdefs.h.  */
    2871 _ACEOF
    2872 cat confdefs.h >>conftest.$ac_ext
    2873 cat >>conftest.$ac_ext <<_ACEOF
    2874 /* end confdefs.h.  */
    2875 
    2876 int
    2877 main ()
    2878 {
    2879 int i=0; i++;
    2880   ;
    2881   return 0;
    2882 }
    2883 _ACEOF
    2884 rm -f conftest.$ac_objext conftest$ac_exeext
    2885 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2886   (eval $ac_link) 2>conftest.er1
    2887   ac_status=$?
    2888   grep -v '^ *+' conftest.er1 >conftest.err
    2889   rm -f conftest.er1
    2890   cat conftest.err >&5
    2891   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2892   (exit $ac_status); } &&
    2893          { ac_try='test -z "$ac_c_werror_flag"
    2894                          || test ! -s conftest.err'
    2895   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2896   (eval $ac_try) 2>&5
    2897   ac_status=$?
    2898   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2899   (exit $ac_status); }; } &&
    2900          { ac_try='test -s conftest$ac_exeext'
    2901   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2902   (eval $ac_try) 2>&5
    2903   ac_status=$?
    2904   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2905   (exit $ac_status); }; }; then
    2906   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2907 else
    2908   echo "$as_me: failed program was:" >&5
    2909 sed 's/^/| /' conftest.$ac_ext >&5
    2910 
    2911 fi
    2912 rm -f conftest.err conftest.$ac_objext \
    2913       conftest$ac_exeext conftest.$ac_ext
    2914             CFLAGS=
    2915           ;;
    2916         esac
    29172863    esac
    29182864  fi
     
    32553201  clang* ) ;;
    32563202  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3257     case $build in
     3203
     3204 case $build in
    32583205  *-mingw*)
    32593206    if test "${LD+set}" = set; then :; else
     
    32623209    ;;
    32633210 esac
    3264  case $enable_doscompile in
    3265    msvc)
    3266      if test "x${LD+set}" = xset; then :; else
    3267        LD=link
    3268      fi
    3269      ;;
    3270  esac
     3211 if test $enable_msvc = yes ; then
     3212   if test "x${LD+set}" = xset; then :; else
     3213     LD=link
     3214   fi
     3215 fi
    32713216
    32723217    ;;
     
    33033248case $build in
    33043249  *-cygwin* | *-mingw*)
    3305              if test "$enable_doscompile" = msvc ; then
    3306                comps="icl cl"
    3307              else
    3308                comps="g++ cl"
    3309              fi ;;
     3250      if test "$enable_msvc" = yes ; then
     3251         comps="icl cl g++"
     3252      else
     3253         comps="g++ icl cl"
     3254      fi ;;
    33103255  *-*-solaris*)
    33113256             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     
    38153760            ;;
    38163761        esac
    3817 
    3818         case $enable_doscompile in
    3819           mingw)
    3820             CXXFLAGS="-mno-cygwin"
    3821             cat >conftest.$ac_ext <<_ACEOF
    3822 /* confdefs.h.  */
    3823 _ACEOF
    3824 cat confdefs.h >>conftest.$ac_ext
    3825 cat >>conftest.$ac_ext <<_ACEOF
    3826 /* end confdefs.h.  */
    3827 
    3828 int
    3829 main ()
    3830 {
    3831 int i=0; i++;
    3832   ;
    3833   return 0;
    3834 }
    3835 _ACEOF
    3836 rm -f conftest.$ac_objext conftest$ac_exeext
    3837 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3838   (eval $ac_link) 2>conftest.er1
    3839   ac_status=$?
    3840   grep -v '^ *+' conftest.er1 >conftest.err
    3841   rm -f conftest.er1
    3842   cat conftest.err >&5
    3843   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3844   (exit $ac_status); } &&
    3845          { ac_try='test -z "$ac_cxx_werror_flag"
    3846                          || test ! -s conftest.err'
    3847   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3848   (eval $ac_try) 2>&5
    3849   ac_status=$?
    3850   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3851   (exit $ac_status); }; } &&
    3852          { ac_try='test -s conftest$ac_exeext'
    3853   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3854   (eval $ac_try) 2>&5
    3855   ac_status=$?
    3856   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3857   (exit $ac_status); }; }; then
    3858   coin_add_cxxflags="-mno-cygwin $coin_add_cxxflags"
    3859 else
    3860   echo "$as_me: failed program was:" >&5
    3861 sed 's/^/| /' conftest.$ac_ext >&5
    3862 
    3863 fi
    3864 rm -f conftest.err conftest.$ac_objext \
    3865       conftest$ac_exeext conftest.$ac_ext
    3866             CXXFLAGS=
    3867           ;;
    3868         esac
    38693762    esac
    38703763  fi
     
    42184111  clang* ) ;;
    42194112  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4220     case $build in
     4113
     4114 case $build in
    42214115  *-mingw*)
    42224116    if test "${LD+set}" = set; then :; else
     
    42254119    ;;
    42264120 esac
    4227  case $enable_doscompile in
    4228    msvc)
    4229      if test "x${LD+set}" = xset; then :; else
    4230        LD=link
    4231      fi
    4232      ;;
    4233  esac
     4121 if test $enable_msvc = yes ; then
     4122   if test "x${LD+set}" = xset; then :; else
     4123     LD=link
     4124   fi
     4125 fi
    42344126
    42354127    ;;
     
    60045896*-*-irix6*)
    60055897  # Find out which ABI we are using.
    6006   echo '#line 6006 "configure"' > conftest.$ac_ext
     5898  echo '#line 5898 "configure"' > conftest.$ac_ext
    60075899  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    60085900  (eval $ac_compile) 2>&5
     
    71387030
    71397031# Provide some information about the compiler.
    7140 echo "$as_me:7140:" \
     7032echo "$as_me:7032:" \
    71417033     "checking for Fortran 77 compiler version" >&5
    71427034ac_compiler=`set X $ac_compile; echo $2`
     
    82058097   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82068098   -e 's:$: $lt_compiler_flag:'`
    8207    (eval echo "\"\$as_me:8207: $lt_compile\"" >&5)
     8099   (eval echo "\"\$as_me:8099: $lt_compile\"" >&5)
    82088100   (eval "$lt_compile" 2>conftest.err)
    82098101   ac_status=$?
    82108102   cat conftest.err >&5
    8211    echo "$as_me:8211: \$? = $ac_status" >&5
     8103   echo "$as_me:8103: \$? = $ac_status" >&5
    82128104   if (exit $ac_status) && test -s "$ac_outfile"; then
    82138105     # The compiler can only warn and ignore the option if not recognized
     
    84738365   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84748366   -e 's:$: $lt_compiler_flag:'`
    8475    (eval echo "\"\$as_me:8475: $lt_compile\"" >&5)
     8367   (eval echo "\"\$as_me:8367: $lt_compile\"" >&5)
    84768368   (eval "$lt_compile" 2>conftest.err)
    84778369   ac_status=$?
    84788370   cat conftest.err >&5
    8479    echo "$as_me:8479: \$? = $ac_status" >&5
     8371   echo "$as_me:8371: \$? = $ac_status" >&5
    84808372   if (exit $ac_status) && test -s "$ac_outfile"; then
    84818373     # The compiler can only warn and ignore the option if not recognized
     
    85778469   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85788470   -e 's:$: $lt_compiler_flag:'`
    8579    (eval echo "\"\$as_me:8579: $lt_compile\"" >&5)
     8471   (eval echo "\"\$as_me:8471: $lt_compile\"" >&5)
    85808472   (eval "$lt_compile" 2>out/conftest.err)
    85818473   ac_status=$?
    85828474   cat out/conftest.err >&5
    8583    echo "$as_me:8583: \$? = $ac_status" >&5
     8475   echo "$as_me:8475: \$? = $ac_status" >&5
    85848476   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    85858477   then
     
    1092210814  lt_status=$lt_dlunknown
    1092310815  cat > conftest.$ac_ext <<EOF
    10924 #line 10924 "configure"
     10816#line 10816 "configure"
    1092510817#include "confdefs.h"
    1092610818
     
    1102210914  lt_status=$lt_dlunknown
    1102310915  cat > conftest.$ac_ext <<EOF
    11024 #line 11024 "configure"
     10916#line 10916 "configure"
    1102510917#include "confdefs.h"
    1102610918
     
    1336613258   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1336713259   -e 's:$: $lt_compiler_flag:'`
    13368    (eval echo "\"\$as_me:13368: $lt_compile\"" >&5)
     13260   (eval echo "\"\$as_me:13260: $lt_compile\"" >&5)
    1336913261   (eval "$lt_compile" 2>conftest.err)
    1337013262   ac_status=$?
    1337113263   cat conftest.err >&5
    13372    echo "$as_me:13372: \$? = $ac_status" >&5
     13264   echo "$as_me:13264: \$? = $ac_status" >&5
    1337313265   if (exit $ac_status) && test -s "$ac_outfile"; then
    1337413266     # The compiler can only warn and ignore the option if not recognized
     
    1347013362   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1347113363   -e 's:$: $lt_compiler_flag:'`
    13472    (eval echo "\"\$as_me:13472: $lt_compile\"" >&5)
     13364   (eval echo "\"\$as_me:13364: $lt_compile\"" >&5)
    1347313365   (eval "$lt_compile" 2>out/conftest.err)
    1347413366   ac_status=$?
    1347513367   cat out/conftest.err >&5
    13476    echo "$as_me:13476: \$? = $ac_status" >&5
     13368   echo "$as_me:13368: \$? = $ac_status" >&5
    1347713369   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1347813370   then
     
    1504014932   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1504114933   -e 's:$: $lt_compiler_flag:'`
    15042    (eval echo "\"\$as_me:15042: $lt_compile\"" >&5)
     14934   (eval echo "\"\$as_me:14934: $lt_compile\"" >&5)
    1504314935   (eval "$lt_compile" 2>conftest.err)
    1504414936   ac_status=$?
    1504514937   cat conftest.err >&5
    15046    echo "$as_me:15046: \$? = $ac_status" >&5
     14938   echo "$as_me:14938: \$? = $ac_status" >&5
    1504714939   if (exit $ac_status) && test -s "$ac_outfile"; then
    1504814940     # The compiler can only warn and ignore the option if not recognized
     
    1514415036   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1514515037   -e 's:$: $lt_compiler_flag:'`
    15146    (eval echo "\"\$as_me:15146: $lt_compile\"" >&5)
     15038   (eval echo "\"\$as_me:15038: $lt_compile\"" >&5)
    1514715039   (eval "$lt_compile" 2>out/conftest.err)
    1514815040   ac_status=$?
    1514915041   cat out/conftest.err >&5
    15150    echo "$as_me:15150: \$? = $ac_status" >&5
     15042   echo "$as_me:15042: \$? = $ac_status" >&5
    1515115043   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1515215044   then
     
    1735117243   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1735217244   -e 's:$: $lt_compiler_flag:'`
    17353    (eval echo "\"\$as_me:17353: $lt_compile\"" >&5)
     17245   (eval echo "\"\$as_me:17245: $lt_compile\"" >&5)
    1735417246   (eval "$lt_compile" 2>conftest.err)
    1735517247   ac_status=$?
    1735617248   cat conftest.err >&5
    17357    echo "$as_me:17357: \$? = $ac_status" >&5
     17249   echo "$as_me:17249: \$? = $ac_status" >&5
    1735817250   if (exit $ac_status) && test -s "$ac_outfile"; then
    1735917251     # The compiler can only warn and ignore the option if not recognized
     
    1761917511   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1762017512   -e 's:$: $lt_compiler_flag:'`
    17621    (eval echo "\"\$as_me:17621: $lt_compile\"" >&5)
     17513   (eval echo "\"\$as_me:17513: $lt_compile\"" >&5)
    1762217514   (eval "$lt_compile" 2>conftest.err)
    1762317515   ac_status=$?
    1762417516   cat conftest.err >&5
    17625    echo "$as_me:17625: \$? = $ac_status" >&5
     17517   echo "$as_me:17517: \$? = $ac_status" >&5
    1762617518   if (exit $ac_status) && test -s "$ac_outfile"; then
    1762717519     # The compiler can only warn and ignore the option if not recognized
     
    1772317615   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1772417616   -e 's:$: $lt_compiler_flag:'`
    17725    (eval echo "\"\$as_me:17725: $lt_compile\"" >&5)
     17617   (eval echo "\"\$as_me:17617: $lt_compile\"" >&5)
    1772617618   (eval "$lt_compile" 2>out/conftest.err)
    1772717619   ac_status=$?
    1772817620   cat out/conftest.err >&5
    17729    echo "$as_me:17729: \$? = $ac_status" >&5
     17621   echo "$as_me:17621: \$? = $ac_status" >&5
    1773017622   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1773117623   then
     
    2511225004echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2511325005coin_link_input_cmd="$LN_S"
    25114 if test "$enable_doscompile" = mingw; then
    25115   coin_link_input_cmd=cp
    25116 fi
    2511725006case "$CC" in
    2511825007  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.